跳转到内容

BiRefNet V2 Background Removal

集成

模型 id birefnet/v2
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/birefnet/v2?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_sneaker_ad.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

此请求: ≈$0.002 2 API 积分 在此页面运行

获取 API 密钥
BiRefNet 背景移除 #cutout#matting#open-weights

开放式背景移除和抠图,最高支持 2304 px,可选输出蒙版。

BiRefNet · 图像

你的第一个结果将在此显示

在下方构建请求,并使用你的 API 密钥运行。输出会复制到我们的存储中,可永久保存或免费保存 7 天。

构建请求

控件根据模型架构生成。更改控件时,代码和价格会同步更新。

•必填 image_url
拖放文件,或

标识要移除背景的图像的 URL。

高级 operating_resolution · output_format · model · output_mask · refine_foreground · mask_only
operating_resolution 默认 1024x1024

工作分辨率,其中 '2304x2304' 仅限 'General Use (Dynamic)' 模型使用。对于高分辨率输入图像,更高的设置可提高输出准确度。

output_format 默认 png

结果图像的格式。

默认 General Use (Light)

背景移除模型选择:'General Use (Light)' 映射到 BiRefNet,是 BiRefNet 存储库的原始模型,推荐用于大多数场景。'General Use (Light 2K)' 映射到 BiRefNet_lite-2K,使用该原始模型在 2K 图像上训练的版本。'General Use (Heavy)' 映射到 BiRefNet_lite,准确度更高但处理更慢。'Matting' 映射到 BiRefNet-matting,专门为图像抠图训练。'Portrait' 映射到 BiRefNet-portrait,专门使用人像图像训练。'General Use (Dynamic)' 映射到 BiRefNet_dynamic,支持 256x256 到 2304x2304 的可变分辨率。

POST /run/birefnet/v2?wait=20 报价 → $0.002
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/birefnet/v2?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_sneaker_ad.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

运行此请求

你的密钥会保留在此浏览器中:仅发送到 Doitong API;只有勾选“记住”后才会保存到 localStorage。 获取 API 密钥

关于 BiRefNet V2 Background Removal

BiRefNet V2 使用多个模型变体(light、heavy、matting、 portrait、dynamic)将主体与背景分离,运行分辨率最高为 2304x2304。返回抠图结果,并可选返回蒙版,格式为 PNG、WebP 或 GIF。

参数

发送规范名称或原生名称之一,不要同时发送两者。 规范名称

名称类型 默认值允许值 描述
model可选
类型enum
默认值General Use (Light)
General Use (Light)General Use (Light 2K)General Use (Heavy)MattingPortraitGeneral Use (Dynamic)
背景移除模型选择:'General Use (Light)' 映射到 BiRefNet,是 BiRefNet 存储库的原始模型,推荐用于大多数场景。'General Use (Light 2K)' 映射到 BiRefNet_lite-2K,使用该原始模型在 2K 图像上训练的版本。'General Use (Heavy)' 映射到 BiRefNet_lite,准确度更高但处理更慢。'Matting' 映射到 BiRefNet-matting,专门为图像抠图训练。'Portrait' 映射到 BiRefNet-portrait,专门使用人像图像训练。'General Use (Dynamic)' 映射到 BiRefNet_dynamic,支持 256x256 到 2304x2304 的可变分辨率。
operating_resolution可选
类型enum
默认值1024x1024
1024x10242048x20482304x2304
工作分辨率,其中 '2304x2304' 仅限 'General Use (Dynamic)' 模型使用。对于高分辨率输入图像,更高的设置可提高输出准确度。
output_mask可选
类型boolean
默认值false
控制输出中是否包含背景移除蒙版。
refine_foreground可选
类型boolean
默认值true
控制基于估计蒙版的前景细化。
image_url必填 image
类型url · image
标识要移除背景的图像的 URL。
output_format可选
类型enum
默认值png
webppnggif
结果图像的格式。
mask_only可选
类型boolean
默认值false
仅蒙版输出开关:`True` 会绕过前景细化并保持图像不变,仅返回其分割蒙版。只需要蒙版时,这可以避免额外计算并减少传输数据。
必填 规范名称,也可接受

文件参数接受公开的 https:// URL、最大 10 MB 的 data: URI,或上传文件的 file_url。 文件

输出

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "birefnet/v2",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 2,
    "usd": "0.002",
    "charged": 2,
    "refunded": 0
  },
  "input": {
    "image": "https://content.doitong.com/images/showcase/v3/gen_sneaker_ad.jpg"
  },
  "output": {
    "image": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768
    },
    "mask_image": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768
    }
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
你的文件,由你选择每个 outputs[].url 都是存储中的副本:可永久保存(按 GB-月付费),也可免费保存 7 天,由账户设置或 ?storage= 决定。
每个模型的结构相同图像、视频和音频均包含 type、url、content_type、width、height 和 duration。output 是模型自身的结果对象。
输出字段
image
object {url, content_type, file_name, file_size, width, height}移除背景后的图像;当 `mask_only` 为 `True` 时则为分割蒙版。
mask_image
object {url, content_type, file_name, file_size, width, height} | null背景移除过程中应用的蒙版。

更多模型:背景移除

对于 AI 代理:此页面的 Markdown 版本位于 https://doitong.com/zh/developers/models/birefnet/v2.md. 所有模型和指南: https://doitong.com/developers/llms.txt